Package org.apache.sling.feature.cpconverter

## Enum ContentPackage2FeatureModelConverter.SlingInitialContentPolicy

- java.lang.Object
- - java.lang.Enum<ContentPackage2FeatureModelConverter.SlingInitialContentPolicy>
  - - org.apache.sling.feature.cpconverter.ContentPackage2FeatureModelConverter.SlingInitialContentPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentPackage2FeatureModelConverter.SlingInitialContentPolicy>`

Enclosing class:
  ContentPackage2FeatureModelConverter

    public static enum ContentPackage2FeatureModelConverter.SlingInitialContentPolicy
    extends Enum<ContentPackage2FeatureModelConverter.SlingInitialContentPolicy>

### Enum Constant Summary

Enum Constants
`EXTRACT_AND_KEEP` Extract from bundle into content-packages and feature model but keep in bundle as well
`EXTRACT_AND_REMOVE` Extract from bundle into content-packages and feature model
`KEEP` Keep in bundle and don't extract

### Method Summary

All Methods Static Methods Concrete Methods
`static ContentPackage2FeatureModelConverter.SlingInitialContentPolicy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ContentPackage2FeatureModelConverter.SlingInitialContentPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KEEP

    public static final ContentPackage2FeatureModelConverter.SlingInitialContentPolicy KEEP

Keep in bundle and don't extract

#### EXTRACT_AND_REMOVE

    public static final ContentPackage2FeatureModelConverter.SlingInitialContentPolicy EXTRACT_AND_REMOVE

Extract from bundle into content-packages and feature model

#### EXTRACT_AND_KEEP

    public static final ContentPackage2FeatureModelConverter.SlingInitialContentPolicy EXTRACT_AND_KEEP

Extract from bundle into content-packages and feature model but keep in bundle as well

### Method Detail

#### values

    public static ContentPackage2FeatureModelConverter.SlingInitialContentPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ContentPackage2FeatureModelConverter.SlingInitialContentPolicy c : ContentPackage2FeatureModelConverter.SlingInitialContentPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ContentPackage2FeatureModelConverter.SlingInitialContentPolicy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null